# AIStationList_Vehicle Class Reference
[Classes that create a list of items.]

Creates a list of stations which the vehicle has in its orders. More...

`#include <ai_stationlist.hpp>`

Inheritance diagram for AIStationList_Vehicle:

## Public Member Functions
| AIStationList_Vehicle (VehicleID vehicle_id)
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.

## Detailed Description

Creates a list of stations which the vehicle has in its orders.

Definition at line 37 of file ai_stationlist.hpp.

## Constructor & Destructor Documentation

AIStationList_Vehicle::AIStationList_Vehicle | ( | VehicleID | vehicle_id | ) |

Parameters:

  | vehicle_id | The vehicle to get the list of stations he has in its orders from.

Definition at line 27 of file ai_stationlist.cpp.

References AIList::AddItem(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem<&_vehicle_pool >::Get(), Vehicle::GetFirstOrder(), AIVehicle::IsValidVehicle(), and Order::next.

## Member Function Documentation

static const char* AIStationList_Vehicle::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIList.

Definition at line 40 of file ai_stationlist.hpp.

The documentation for this class was generated from the following files:

- src/ai/api/ai_stationlist.hpp
- src/ai/api/ai_stationlist.cpp